;;; Copyright (C) 2009 Joern Inge Vestgaarden
;;;
;;; This program is free software; you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 2 of the License, or
;;; (at your option) any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License along
;;; with this program; if not, write to the Free Software Foundation, Inc.,
;;; 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

(defpackage "FFTW-FFI" 
  (:use "COMMON-LISP" "SB-ALIEN" "SB-SYS")
  (:export "+DOUBLE_FLOAT-BYTES+"
	   "+FFTW-ESTIMATE+"
	   "+FFTW-FORWARD+"
	   "+FFTW-BACKWARD+"
	   "FFTW-FFT1"
	   "FFTW-FFT2"
	   "FFTW-INIT-THREADS"
	   "FFTW-CLEANUP-THREADS")
  (:documentation "Simple ffi for fftw."))
