

#+nil (defpackage "LISPLAB.TEST"
  (:use "COMMON-LISP" "ORG.ANCAR.CLUNIT"))

(in-package :org.ancar.CLUnit)

#+nil (in-package :lisplab.test)

(deftest "level1-dge-new"
    :test-fn (lambda ()
	       (and 
		(equalp (ll:dim (ll:mnew 'll:matrix-dge 0 3 7)) '(3 7))
		(equalp (ll:dim (ll:mnew '(:d :ge :any) 0 3 7)) '(3 7))
		(equalp (ll:dim (ll:dnew 0 3 7)) '(3 7)))))

(deftest "level1-zge-new"
    :test-fn (lambda ()
	       (and 
		(equalp (ll:dim (ll:mnew 'll:matrix-zge 0 3 7)) '(3 7))
		(equalp (ll:dim (ll:mnew '(:z :ge :any) 0 3 7)) '(3 7))	       
		(equalp (ll:dim (ll:znew 0 3 7)) '(3 7)) )))

(deftest "level1-dge-mref"
    :test-fn (lambda ()
	       (let ((A (ll:dnew 42 3 7)))
		 (setf (ll:mref A 2 2) 7)
		 (and (= 42 (ll:mref A 0 1))
		      (= 7 (ll:mref A 2 2))))))

(deftest "level1-zge-mref"
    :test-fn (lambda ()
	       (let ((A (ll:znew ll:%i 3 7)))
		 (setf (ll:mref A 2 2) 7)
		 (and (= ll:%i (ll:mref A 0 1))
		      (= 7 (ll:mref A 2 2))))))