;;; Lisplab, level0-basic.lisp
;;; Basic definitions, speical variables and general macros.

;;; Copyright (C) 2009 Joern Inge Vestgaarden
;;;
;;; This program is free software; you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 2 of the License, or
;;; (at your option) any later version.
;;;
;;; This program is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License along
;;; with this program; if not, write to the Free Software Foundation, Inc.,
;;; 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

;; TODO clean up. Here's a lot of unused stuff

(in-package :lisplab)

;; Here non ansi stuff. 
;; First we need the truely-the macro

#+sbcl(import 'sb-ext::truly-the) 
;; Help, not tested
#-sbcl(defmacro truely-the (type val) `(the ,type ,val))

;; (setf *READ-DEFAULT-FLOAT-FORMAT* 'double-float) ; TODO make part of pacakge import?

(defmacro with-gensyms ((&rest names) . body)
  ;; TODO remove? Is it used at all?
  `(let ,(loop for n in names collect `(,n (gensym)))
     ,@body))

(defmacro define-constant (name value &optional doc)
  "Works as defconstant. Made to avoid trouble with sbcl's strict
interpretation of the ansi standard."
  (let ((old-value (gensym)))
    `(defconstant ,name 
      (if (boundp ',name) 
          (let ((,old-value (symbol-value ',name)))
             (if (equalp ,old-value ,value)
                 ,old-value
                 ,value))
          ,value)
      ,@(when doc (list doc)))))

(defun to-df (x)
  "Coerce x to double float."
  (coerce x 'double-float))

(defun dvec (n)
  "Creates a double vector with n elements."
  (make-array n :element-type 'double-float :initial-element 0d0))


